SUMMARY = "Barebox - a bootloader that inherits the best of U-Boot and the Linux kernel"
HOMEPAGE = "http://www.barebox.org/"
SECTION = "bootloaders"
PROVIDES ?= "virtual/bootloader"
DEPENDS += "lzop-native"

LICENSE = "GPLv2"
LIC_FILES_CHKSUM = "file://COPYING;md5=057bf9e50e1ca857d0eb97bfe4ba8e5d"

PACKAGE_ARCH = "${MACHINE_ARCH}"

inherit kernel-arch deploy

EXTRA_OEMAKE = "ARCH=arm CROSS_COMPILE=${STAGING_BINDIR_TOOLCHAIN}/${TARGET_PREFIX}"

do_configure_prepend() {
	cp ${WORKDIR}/defconfig ${S}/.config
	oe_runmake oldconfig
}

do_compile () {
	unset LDFLAGS
	unset CFLAGS
	unset CPPFLAGS
	oe_runmake
}

do_deploy () {
	install -d ${DEPLOY_DIR_TOOLS}
	if [ -f ${S}/scripts/mkimage ]; then
		install -m 755 ${S}/scripts/mkimage ${DEPLOY_DIR_TOOLS}/mkimage-${PV}
		ln -sf mkimage-${PV} ${DEPLOY_DIR_TOOLS}/mkimage
	fi
	if [ -f ${S}/scripts/bareboxenv ]; then
		install -m 755 ${S}/scripts/bareboxenv ${DEPLOY_DIR_TOOLS}/bareboxenv-${PV}
		ln -sf bareboxenv-${PV} ${DEPLOY_DIR_TOOLS}/bareboxenv
	fi
}

addtask deploy before do_build after do_compile
